Bug 1185582 - Review Request: openambit - Open software for the Suunto Ambit(2)
Summary: Review Request: openambit - Open software for the Suunto Ambit(2)
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jerry James
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-01-24 22:45 UTC by Sandro Mani
Modified: 2015-02-09 05:27 UTC (History)
2 users (show)

Fixed In Version: openambit-0.3-2.git5f2b784.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-07 03:57:53 UTC
Type: ---
loganjerry: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Sandro Mani 2015-01-24 22:45:18 UTC
Spec URL: https://smani.fedorapeople.org/review/openambit.spec
SRPM URL: https://smani.fedorapeople.org/review/openambit-0.3-1.git5f2b784.fc22.src.rpm
Description: Open software for the Suunto Ambit(2)
Fedora Account System Username: smani

Comment 1 Jerry James 2015-01-26 21:50:19 UTC
I will take this review.

Building for Rawhide fails:

DEBUG util.py:391:  Getting requirements for openambit-0.3-1.git5f2b784.fc22.src
DEBUG util.py:391:   --> cmake-3.1.1-1.fc22.x86_64
DEBUG util.py:391:   --> desktop-file-utils-0.22-3.fc22.x86_64
DEBUG util.py:391:   --> libappstream-glib-0.3.4-1.fc22.x86_64
DEBUG util.py:391:   --> qjson-devel-0.8.1-7.fc22.x86_64
DEBUG util.py:391:   --> 1:qt-devel-4.8.6-20.fc22.x86_64
DEBUG util.py:391:   --> systemd-devel-218-3.fc22.x86_64
DEBUG util.py:391:  Error: No Package found for wireshark-devel = 1.12.2

Rawhide is currently on wireshark 1.12.3.  I will build for Fedora 21 instead for now.

Comment 2 Jerry James 2015-01-26 22:49:24 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated


Issues:
=======
- I'm not sure the License field is correct.  Shouldn't that be just
  "License: GPLv3+" for the main package, and "License: BSD" for the
  -wireshark subpackage?
- The build for device_driver_common.c triggers this warning 3 times:
  "warning: dereferencing type-punned pointer will break strict-aliasing rules
  [-Wstrict-aliasing]".  You may need to add -fno-strict-aliasing to the build
  flags to avoid problems.  On the other hand, you could replace the lines
  that trigger these warnings with something like the following code, rather
  than turn off an optimization:

  uint16_t date;

  date = htole16(1900 + tm->tm_year);
  memcpy(&date_data[0], &date, sizeof(uint16_t));
- The code in src/libambit/hidapi appears to be a bundled library.  Can the
  existing hidapi / hidapi-devel packages be used instead?
- Is there a reason you are using a github checkout, rather than one of the
  tarballs at http://openambit.org/downloads/ ?


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Development (unversioned) .so files in -devel subpackage, if present.
[x]: Header files in -devel subpackage, if present.
[x]: ldconfig called in %post and %postun if required.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[!]: License field in the package spec file matches the actual license.
[x]: License file installed when any subpackage combination is installed.
[x]: If the package is under multiple licenses, the licensing breakdown must
     be documented in the spec.
[x]: %build honors applicable compiler flags or justifies otherwise.
[!]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[x]: gtk-update-icon-cache is invoked in %postun and %posttrans if package
     contains icons.
     Note: icons in openambit
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install or desktop-
     file-validate if there is such a file.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[x]: Scriptlets must be sane, if used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[?]: Package should compile and build into binary rpms on all supported
     architectures.
[!]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: openambit-0.3-1.git5f2b784.fc21.x86_64.rpm
          openambit-libs-0.3-1.git5f2b784.fc21.x86_64.rpm
          openambit-devel-0.3-1.git5f2b784.fc21.x86_64.rpm
          openambit-wireshark-0.3-1.git5f2b784.fc21.x86_64.rpm
          openambit-0.3-1.git5f2b784.fc21.src.rpm
openambit.x86_64: W: spelling-error %description -l en_US movescount -> moves count, moves-count, viscountess
openambit.x86_64: W: no-documentation
openambit.x86_64: W: no-manual-page-for-binary openambit
openambit-libs.x86_64: W: no-documentation
openambit-libs.x86_64: W: non-conffile-in-etc /etc/udev/rules.d/libambit.rules
openambit-devel.x86_64: W: only-non-binary-in-usr-lib
openambit-wireshark.x86_64: W: spelling-error %description -l en_US pcap -> pap, cap, p cap
openambit-wireshark.x86_64: W: spelling-error %description -l en_US usbpcap -> capacious
openambit-wireshark.x86_64: W: no-documentation
openambit.src: W: spelling-error %description -l en_US movescount -> moves count, moves-count, viscountess
5 packages and 0 specfiles checked; 0 errors, 10 warnings.




Rpmlint (installed packages)
----------------------------
openambit.x86_64: W: spelling-error %description -l en_US movescount -> moves count, moves-count, viscountess
openambit.x86_64: W: no-documentation
openambit.x86_64: W: no-manual-page-for-binary openambit
openambit-libs.x86_64: W: no-documentation
openambit-libs.x86_64: W: non-conffile-in-etc /etc/udev/rules.d/libambit.rules
openambit-devel.x86_64: W: only-non-binary-in-usr-lib
openambit-wireshark.x86_64: W: spelling-error %description -l en_US pcap -> pap, cap, p cap
openambit-wireshark.x86_64: W: spelling-error %description -l en_US usbpcap -> capacious
openambit-wireshark.x86_64: W: no-documentation
4 packages and 0 specfiles checked; 0 errors, 9 warnings.



Requires
--------
openambit-libs (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    libc.so.6()(64bit)
    libm.so.6()(64bit)
    libudev.so.1()(64bit)
    libudev.so.1(LIBUDEV_183)(64bit)
    rtld(GNU_HASH)
    systemd

openambit-devel (rpmlib, GLIBC filtered):
    libambit.so.0()(64bit)
    openambit-libs(x86-64)

openambit (rpmlib, GLIBC filtered):
    /bin/sh
    hicolor-icon-theme
    libQtCore.so.4()(64bit)
    libQtGui.so.4()(64bit)
    libQtNetwork.so.4()(64bit)
    libambit.so.0()(64bit)
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libm.so.6()(64bit)
    libqjson.so.0()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libudev.so.1()(64bit)
    libudev.so.1(LIBUDEV_183)(64bit)
    libz.so.1()(64bit)
    libz.so.1(ZLIB_1.2.0)(64bit)
    libz.so.1(ZLIB_1.2.2)(64bit)
    openambit-libs(x86-64)
    rtld(GNU_HASH)

openambit-wireshark (rpmlib, GLIBC filtered):
    libc.so.6()(64bit)
    libwireshark.so.5()(64bit)
    rtld(GNU_HASH)
    wireshark(x86-64)



Provides
--------
openambit-libs:
    libambit.so.0()(64bit)
    openambit-libs
    openambit-libs(x86-64)

openambit-devel:
    openambit-devel
    openambit-devel(x86-64)

openambit:
    appdata()
    appdata(openambit.appdata.xml)
    application()
    application(openambit.desktop)
    openambit
    openambit(x86-64)

openambit-wireshark:
    openambit-wireshark
    openambit-wireshark(x86-64)



Unversioned so-files
--------------------
openambit-wireshark: /usr/lib64/wireshark/plugins/1.12.2/ambit.so

Source checksums
----------------
https://github.com/openambitproject/openambit/archive/5f2b7840d91121b44a9a16ac6d945b103a94c5a3.tar.gz :
  CHECKSUM(SHA256) this package     : 426d861741330b450d21616fc8474bbad30581e7203892deda05c5bf6107f74d
  CHECKSUM(SHA256) upstream package : 426d861741330b450d21616fc8474bbad30581e7203892deda05c5bf6107f74d


Generated by fedora-review 0.5.2 (63c24cb) last change: 2014-07-14
Command line :/usr/bin/fedora-review -b 1185582 -m fedora-21-x86_64
Buildroot used: fedora-21-x86_64
Active plugins: Generic, Shell-api, C/C++, Perl
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

Comment 3 Sandro Mani 2015-01-27 14:07:57 UTC
Spec URL: https://smani.fedorapeople.org/review/openambit.spec
SRPM URL: https://smani.fedorapeople.org/review/openambit-0.3-2.git5f2b784.fc22.src.rpm

%changelog
* Tue Jan 27 2015 Sandro Mani <manisandro@gmail.com> - 0.3-2.git5f2b784
- Bump wireshark version
- Fix License
- Add openambit_strict-aliasing-fixes.patch
- Add openambit_fix-maybe-uninitialized.patch
- Unbundle hidapi

> Is there a reason you are using a github checkout, rather than one of the tarballs at http://openambit.org/downloads/ ?

Yes, various fixes and features which have been added since. Was hoping that a new official release would pop up in the meantime, but has not happened yet. Will suggest upstream to release a new version as soon as they merge my two pending pull requests.

Comment 4 Jerry James 2015-01-27 17:29:54 UTC
(In reply to Sandro Mani from comment #3)
> Yes, various fixes and features which have been added since. Was hoping that
> a new official release would pop up in the meantime, but has not happened
> yet. Will suggest upstream to release a new version as soon as they merge my
> two pending pull requests.

Ah, my mistake.  I thought you were downloading the 0.3 release from github.  Getting post-release fixes makes perfect sense.

All issues are resolved.  This package is APPROVED.

Comment 5 Sandro Mani 2015-01-27 17:33:19 UTC
Many thanks! If by next weekend you still need some gap reviews, let me know and I'll take a look.

New Package SCM Request
=======================
Package Name: openambit
Short Description: Open software for the Suunto Ambit(2)
Owners: smani
Branches: f20 f21
InitialCC:

Comment 6 Gwyn Ciesla 2015-01-28 11:57:36 UTC
Git done (by process-git-requests).

Comment 7 Fedora Update System 2015-01-29 16:28:03 UTC
openambit-0.3-2.git5f2b784.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/openambit-0.3-2.git5f2b784.fc21

Comment 8 Fedora Update System 2015-01-30 04:31:48 UTC
openambit-0.3-2.git5f2b784.fc21 has been pushed to the Fedora 21 testing repository.

Comment 9 Fedora Update System 2015-01-30 23:42:50 UTC
openambit-0.3-2.git5f2b784.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/openambit-0.3-2.git5f2b784.fc20

Comment 10 Fedora Update System 2015-02-07 03:57:53 UTC
openambit-0.3-2.git5f2b784.fc21 has been pushed to the Fedora 21 stable repository.

Comment 11 Fedora Update System 2015-02-09 05:27:55 UTC
openambit-0.3-2.git5f2b784.fc20 has been pushed to the Fedora 20 stable repository.


Note You need to log in before you can comment on or make changes to this bug.